<?
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

  #Старт сессии
  session_start();
  
  #Кодировка
  header( 'Content-type: text/html; charset=windows-1251' );
  
  define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
  include_once ROOT_DIR . '/engine/config.php'; /// config base
  include_once ROOT_DIR . '/engine/function.php'; /// php_function
  include_once ROOT_DIR . '/engine/classes/bbcode.class.php'; ///bbcode
  include 'engine/functiones.php';
  
  #Задаем константы
  define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
  
  #Если статус не администратора, или в не сесии авторизации, останавливаем выполнение скриптов php
  if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) { 
    echo 'Ошибка прав доступа!';
	exit(); 
  }


  ### Заметки
  if ( $_GET['func'] == 'save_notepade' ) {
    mysql_query( "UPDATE adm_notepade SET text = '" . htmlspecialchars( check_text( $_POST['text'] ) ) . "' WHERE id = 1" );
    echo 1;
	exit();
  }
  
  ### Статусно-реферальная система (другие настройки)
  if ( $_GET['func'] == 'ref_status_other' ) {
    mysql_query( "UPDATE config_site SET link_video_status = '" . check_text( $_POST['link_video_status'] ) . "' WHERE id = 1" );
    echo 1;
	exit();
  }
  
  ### Статусно-реферальная система (настрйока статусов)
  if ( $_GET['func'] == 'ref_status' ) {
    
	mysql_query( "UPDATE config_site SET 
	  status_name_1 = '" . check_text( $_POST['status_name_1'] ) . "', 
	  status_name_2 = '" . check_text( $_POST['status_name_2'] ) . "', 
	  status_name_3 = '" . check_text( $_POST['status_name_3'] ) . "', 
	  status_name_4 = '" . check_text( $_POST['status_name_4'] ) . "',
	  status_name_5 = '" . check_text( $_POST['status_name_5'] ) . "', 
	  status_name_6 = '" . check_text( $_POST['status_name_6'] ) . "', 
	  status_meaning_1a = '" . floatval( $_POST['status_meaning_1a'] ) . "', 
	  status_meaning_1b = '" . floatval( $_POST['status_meaning_1b'] ) . "', 
	  status_meaning_2a = '" . floatval( $_POST['status_meaning_2a'] ) . "', 
	  status_meaning_2b = '" . floatval( $_POST['status_meaning_2b'] ) . "', 
	  status_meaning_3a = '" . floatval( $_POST['status_meaning_3a'] ) . "', 
	  status_meaning_3b = '" . floatval( $_POST['status_meaning_3b'] ) . "', 
	  status_meaning_4a = '" . floatval( $_POST['status_meaning_4a'] ) . "', 
	  status_meaning_4b = '" . floatval( $_POST['status_meaning_4b'] ) . "', 
	  status_meaning_5a = '" . floatval( $_POST['status_meaning_5a'] ) . "', 
	  status_meaning_5b = '" . floatval( $_POST['status_meaning_5b'] ) . "', 
	  status_meaning_6a = '" . floatval( $_POST['status_meaning_6a'] ) . "' 
	WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Статусно-реферальная система (настрйока реф-процентов)
  if ( $_GET['func'] == 'ref_percent' ) {
    
	mysql_query( "UPDATE config SET 
	  st1 = '" . floatval( $_POST['st1'] ) . "', 
	  st2 = '" . floatval( $_POST['st2'] ) . "', 
	  st3 = '" . floatval( $_POST['st3'] ) . "', 
	  st4 = '" . floatval( $_POST['st4'] ) . "', 
	  st5 = '" . floatval( $_POST['st5'] ) . "', 
	  st6 = '" . floatval( $_POST['st6'] ) . "', 
	  st7 = '" . floatval( $_POST['st7'] ) . "', 
	  st8 = '" . floatval( $_POST['st8'] ) . "', 
	  st9 = '" . floatval( $_POST['st9'] ) . "', 
	  st10 = '" . floatval( $_POST['st10'] ) . "', 
	  st11 = '" . floatval( $_POST['st11'] ) . "', 
	  st12 = '" . floatval( $_POST['st12'] ) . "', 
	  st13 = '" . floatval( $_POST['st13'] ) . "', 
	  st14 = '" . floatval( $_POST['st14'] ) . "', 
	  st15 = '" . floatval( $_POST['st15'] ) . "', 
	  st16 = '" . floatval( $_POST['st16'] ) . "', 
	  st17 = '" . floatval( $_POST['st17'] ) . "', 
	  st18 = '" . floatval( $_POST['st18'] ) . "' 
	WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (данные сайта)
  if ( $_GET['func'] == 'config_1' ) {
    
	mysql_query( "UPDATE config_site SET sitename = '" . check_text( $_POST['sitename'] ) . "', datestart = '" . check_text( $_POST['datestart'] ) . "', site_url = '" . check_text( $_POST['site_url'] ) . "', serf_url = '" . check_text( $_POST['serf_url'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (контакты сайта)
  if ( $_GET['func'] == 'config_2' ) {
    
	mysql_query( "UPDATE config_site SET email_info = '" . check_text( $_POST['email_info'] ) . "', icq_info = '" . check_text( $_POST['icq_info'] ) . "', skype_info = '" . check_text( $_POST['skype_info'] ) . "', telegram_info = '" . check_text( $_POST['telegram_info'] ) . "', phone_info = '" . check_text( $_POST['phone_info'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Режим активации)
  if ( $_GET['func'] == 'config_3' ) {
    
	mysql_query( "UPDATE config_site SET mobileLogin = '" . check_text( $_POST['mobileLogin'] ) . "', mobilePassword = '" . check_text( $_POST['mobilePassword'] ) . "', mobileKodType = '" . ( int ) $_POST['mobileKodType'] . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка каптчи)
  if ( $_GET['func'] == 'config_4' ) {
    
	mysql_query( "UPDATE config_site SET recapthaSecretKey = '" . check_text( $_POST['recapthaSecretKey'] ) . "', recapthaPublicKey = '" . check_text( $_POST['recapthaPublicKey'] ) . "', capthaType = '" . ( int ) $_POST['capthaType']  . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка почты)
  if ( $_GET['func'] == 'config_20' ) {
    
	mysql_query( "UPDATE config_site SET email = '" . check_text( $_POST['email'] ) . "', emailpass = '" . check_text( $_POST['emailpass'] ) . "', smtpemail = '" . check_text( $_POST['smtpemail'] ) . "', portemail = '" . ( int ) $_POST['portemail']  . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цена - основные настройки)
  if ( $_GET['func'] == 'config_5' ) {
    
	mysql_query( "UPDATE config SET valuta = '" . check_text( $_POST['valuta'] ) . "', valutaname = '" . check_text( $_POST['valutaname'] ) . "', minpayuser = '" . floatval( $_POST['minpayuser'] ) . "', minpay = '" . floatval( $_POST['minpay'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цена - серфинг (рекламодатель) )
  if ( $_GET['func'] == 'config_6' ) {
    
	mysql_query( "UPDATE config SET vipdyn = '" . floatval( $_POST['vipdyn'] ) . "', obper = '" . floatval( $_POST['obper'] ) . "', active_window = '" . floatval( $_POST['active_window'] ) . "', dyn10 = '" . floatval( $_POST['dyn10'] ) . "', dyn20 = '" . floatval( $_POST['dyn20'] ) . "', dyn30 = '" . floatval( $_POST['dyn30'] ) . "', dyn40 = '" . floatval( $_POST['dyn40'] ) . "', dyn50 = '" . floatval( $_POST['dyn50'] ) . "', dyn60 = '" . floatval( $_POST['dyn60'] ) . "', dyn70 = '" . floatval( $_POST['dyn70'] ) . "', dyn80 = '" . floatval( $_POST['dyn80'] ) . "', dyn90 = '" . floatval( $_POST['dyn90'] ) . "', dyn100 = '" . floatval( $_POST['dyn100'] ) . "', dyn125 = '" . floatval( $_POST['dyn125'] ) . "', dyn150 = '" . floatval( $_POST['dyn150'] ) . "', dyn200 = '" . floatval( $_POST['dyn200'] ) . "', dyn250 = '" . floatval( $_POST['dyn250'] ) . "', dyn300 = '" . floatval( $_POST['dyn300'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цена - задания (рекламодатель) )
  if ( $_GET['func'] == 'config_7' ) {
    
	mysql_query( "UPDATE config SET tasks = '" . floatval( $_POST['tasks'] ) . "', factor_tasks = '" . floatval( $_POST['factor_tasks'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цена - авто-серфинг (рекламодатель) )
  if ( $_GET['func'] == 'config_8' ) {
    
	mysql_query( "UPDATE config SET autodyn10 = '" . floatval( $_POST['autodyn10'] ) . "', autodyn20 = '" . floatval( $_POST['autodyn20'] ) . "', autodyn30 = '" . floatval( $_POST['autodyn30'] ) . "', autodyn40 = '" . floatval( $_POST['autodyn40'] ) . "', autodyn50 = '" . floatval( $_POST['autodyn50'] ) . "', autodyn60 = '" . floatval( $_POST['autodyn60'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цена - контекстная реклама )
  if ( $_GET['func'] == 'config_9' ) {
    
	mysql_query( "UPDATE config SET klink = '" . floatval( $_POST['klink'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цена - баннерная реклама )
  if ( $_GET['func'] == 'config_10' ) {
    
	mysql_query( "UPDATE config SET banner200x300 = '" . floatval( $_POST['banner200x300'] ) . "', banner468x60 = '" . floatval( $_POST['banner468x60'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цена - Рекламная цепочка )
  if ( $_GET['func'] == 'config_11' ) {
    
	mysql_query( "UPDATE config SET chain = '" . floatval( $_POST['chain'] ) . "', chainColorPrice = '" . floatval( $_POST['chainColorPrice'] ) . "', chainColor = '" . check_text( $_POST['chainColor'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цена - Статические ссылки )
  if ( $_GET['func'] == 'config_12' ) {
    
	mysql_query( "UPDATE config SET statlink = '" . floatval( $_POST['statlink'] ) . "', statlinkColorPrice = '" . floatval( $_POST['statlinkColorPrice'] ) . "', statlinkColor = '" . check_text( $_POST['statlinkColor'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цена - Оплачиваемые тесты )
  if ( $_GET['func'] == 'config_14' ) {
    
	mysql_query( "UPDATE config SET tests = '" . floatval( $_POST['tests'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цен - Процент уменьшения цены для работников (коэффициент главный) )
  if ( $_GET['func'] == 'config_15' ) {
    
	mysql_query( "UPDATE config SET factor = '" . floatval( $_POST['factor'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цен - коэффициент для заданий )
  if ( $_GET['func'] == 'config_16' ) {
    
	mysql_query( "UPDATE config SET factor_tasks = '" . floatval( $_POST['factor_tasks'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цен - коэффициент для тестов )
  if ( $_GET['func'] == 'config_17' ) {
    
	mysql_query( "UPDATE config SET factor_test = '" . floatval( $_POST['factor_test'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цен - коэффициент для вконтакте )
  if ( $_GET['func'] == 'config_18' ) {
    
	mysql_query( "UPDATE config SET factor_vk = '" . floatval( $_POST['factor_vk'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка цен - коэффициент для ютуб )
  if ( $_GET['func'] == 'config_19' ) {
    
	mysql_query( "UPDATE config SET factor_youtube = '" . floatval( $_POST['factor_youtube'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }

  ### Конфигурация сайта (Настройка ЭПС - вебмани)
  if ( $_GET['func'] == 'config_21' ) {
	  
	if ( $_POST['autopay'] == 'on' ) $_POST['autopay'] = 1;
    else $_POST['autopay'] = 0;
    
	mysql_query( "UPDATE config_site SET wmid = '" . ( int ) $_POST['wmid'] . "', purse = '" . check_text( $_POST['purse'] ) . "', wmlogin = '" . check_text( $_POST['wmlogin'] ) . "', webmoneykey = '" . check_text( $_POST['webmoneykey'] ) . "', autopay = '" . ( int ) $_POST['autopay']  . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }

  ### Конфигурация сайта (Настройка ЭПС - паеер)
  if ( $_GET['func'] == 'config_22' ) {
	  
	mysql_query( "UPDATE config_site SET idpayeermercant = '" . ( int ) $_POST['idpayeermercant'] . "', keypayeermercant = '" . check_text( $_POST['keypayeermercant'] ) . "', apiIdpayeer = '" . ( int ) $_POST['apiIdpayeer'] . "', maskeypayeer = '" . check_text( $_POST['maskeypayeer'] ) . "', shetpayeer = '" . check_text( $_POST['shetpayeer'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка ЭПС - адвансеткеш)
  if ( $_GET['func'] == 'config_23' ) {
	  
	mysql_query( "UPDATE config_site SET advcashEMAILL = '" . check_text( $_POST['advcashEMAILL'] ) . "', sciName = '" . check_text( $_POST['sciName'] ) . "', secretADVcash = '" . check_text( $_POST['secretADVcash'] ) . "', currencyAdvcash = '" . check_text( $_POST['currencyAdvcash'] ) . "', secretADVcashAPI = '" . check_text( $_POST['secretADVcashAPI'] ) . "', APIName = '" . check_text( $_POST['APIName'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка ЭПС - в1)
  if ( $_GET['func'] == 'config_24' ) {
	  
	mysql_query( "UPDATE config_site SET w1ID = '" . ( int ) $_POST['w1ID'] . "', w1Key = '" . check_text( $_POST['w1Key'] ) . "', w1Currency = '" . check_text( $_POST['w1Currency'] ) . "', w1Success = '" . check_text( $_POST['w1Success'] ) . "', w1Fail = '" . check_text( $_POST['w1Fail'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка ЭПС - мегакасса)
  if ( $_GET['func'] == 'config_25' ) {
	  
	mysql_query( "UPDATE config_site SET shopidMG = '" . ( int ) $_POST['shopidMG'] . "', secretkeyMG = '" . check_text( $_POST['secretkeyMG'] ) . "', currencyMG = '" . check_text( $_POST['currencyMG'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка ЭПС - робокасса)
  if ( $_GET['func'] == 'config_26' ) {
	  
	mysql_query( "UPDATE config_site SET robokassa_login = '" . check_text( $_POST['robokassa_login'] ) . "', robokassa_pw1 = '" . check_text( $_POST['robokassa_pw1'] ) . "', robokassa_pw2 = '" . check_text( $_POST['robokassa_pw2'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  
  ### Конфигурация сайта (Настройка плагинов - ярмарка )
  if ( $_GET['func'] == 'config_27' ) {
    
	mysql_query( "UPDATE config SET coefficient_fair = '" . floatval( $_POST['coefficient_fair'] ) . "', price_min_fair = '" . floatval( $_POST['price_min_fair'] ) . "', price_max_fair = '" . floatval( $_POST['price_max_fair'] ) . "', referal_min_clix = '" . ( int ) $_POST['referal_min_clix'] . "', referal_min_rating = '" . ( int ) $_POST['referal_min_rating'] . "', referer_min_rating = '" . ( int ) $_POST['referer_min_rating'] . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка плагинов - ярмарка )
  if ( $_GET['func'] == 'config_28' ) {
    
	mysql_query( "UPDATE config SET board_bet = '" . floatval( $_POST['board_bet'] ) . "', board_percent = '" . floatval( $_POST['board_percent'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка плагинов - ежедневный бонус )
  if ( $_GET['func'] == 'config_29' ) {
    
	mysql_query( "UPDATE config SET RandomRUB = '" . floatval( $_POST['RandomRUB'] ) . "', RandomRATING = '" . floatval( $_POST['RandomRATING'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка плагинов - конкурсы от реферера )
  if ( $_GET['func'] == 'config_30' ) {
    
	mysql_query( "UPDATE config SET coeficient_kon_ref = '" . floatval( $_POST['coeficient_kon_ref'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка плагинов - рассылка рефералам )
  if ( $_GET['func'] == 'config_31' ) {
    
	mysql_query( "UPDATE config SET typedelivery = '" . ( int ) $_POST['typedelivery'] . "', priceDelivery = '" . floatval( $_POST['priceDelivery'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка плагинов - каталог сайтов )
  if ( $_GET['func'] == 'config_32' ) {
    
	mysql_query( "UPDATE config SET catalogPrice = '" . floatval( $_POST['catalogPrice'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка плагинов - яблоко рейтинга )
  if ( $_GET['func'] == 'config_33' ) {
    
	mysql_query( "UPDATE config SET everybonus = '" . floatval( $_POST['everybonus'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка плагинов - стенка )
  if ( $_GET['func'] == 'config_37' ) {
    
	mysql_query( "UPDATE config SET giftpay = '" . floatval( $_POST['giftpay'] ) . "', giftreyting = '" . floatval( $_POST['giftreyting'] ) . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка плагинов - форум )
  if ( $_GET['func'] == 'config_34' ) {
    
	mysql_query( "UPDATE config SET new_topic_reyting = '" . floatval( $_POST['new_topic_reyting'] ) . "', timeout_topic_forum = '" . ( int ) $_POST['timeout_topic_forum'] . "', timeout_mail_forum = '" . ( int ) $_POST['timeout_mail_forum'] . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка плагинов - чат )
  if ( $_GET['func'] == 'config_35' ) {
    
	mysql_query( "UPDATE config SET timeout_chat = '" . ( int ) $_POST['timeout_chat'] . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Конфигурация сайта (Настройка плагинов - чат )
  if ( $_GET['func'] == 'config_36' ) {
    
	mysql_query( "UPDATE config SET testdriveOn = '" . ( int ) $_POST['testdriveOn'] . "', testdriveRating = '" . ( int ) $_POST['testdriveRating'] . "', testdriveSum = '" . ( int ) $_POST['testdriveSum'] . "', testdriveTime = '" . ( int ) $_POST['testdriveTime'] . "', testdrivePerehod = '" . ( int ) $_POST['testdrivePerehod'] . "', testdriveVip = '" . ( int ) $_POST['testdriveVip'] . "' WHERE id = 1" );
    
	echo 1;
    exit();
  }
  
  ### Редактирование пользователя (часть первая - данные)
  if ( $_GET['func'] == 'edituser_1' ) {
    if ( $_POST['blockpay'] == 'on' ) $_POST['blockpay'] = 1; else $_POST['blockpay'] = 0;
    if ( $_POST['blockuser'] == 'on' ) $_POST['blockuser'] = 1; else $_POST['blockuser'] = 0;
    if ( $_POST['forumblock'] == 'on' ) $_POST['forumblock'] = 1; else $_POST['forumblock'] = 0;
    if ( $_POST['chatblock'] == 'on' ) $_POST['chatblock'] = 1; else $_POST['chatblock'] = 0;
    if ( $_POST['userdel'] == 'on' ) $_POST['userdel'] = 1; else $_POST['userdel'] = 0;
    if ( $_POST['activate'] == 'on' ) $_POST['activate'] = 1; else $_POST['activate'] = 0;
    if ( $_POST['admmessblock'] == 'on' ) $_POST['admmessblock'] = 1; else $_POST['admmessblock'] = 0;
	
	$greting = trim( $_POST['greetingRef'] );
    
    mysql_query( "UPDATE user SET 
	  email = '" . check_text( $_POST['email'] ) . "', 
	  mobile = '" . check_text( $_POST['mobile'] ) . "', 
	  referer = '" . ( int ) $_POST['referer'] . "', 
	  referer2 = '" . ( int ) $_POST['referer2'] . "', 
	  blockpay = '" . ( int ) $_POST['blockpay'] . "', 
	  blockuser = '" . ( int ) $_POST['blockuser'] . "', 
	  forumblock = '" . ( int ) $_POST['forumblock'] . "', 
	  chatblock = '" . ( int ) $_POST['chatblock'] . "', 
	  userdel = '" . ( int ) $_POST['userdel'] . "',  
	  activate = '" . ( int ) $_POST['activate'] . "', 
	  admmessblock = '" . ( int ) $_POST['admmessblock'] . "', 
	  account = '". ( int ) $_POST['acount'] ."', 
	  greetingRef = '" . parce_bb_code ( substr( check_text( $greting ), 0, 5000 ), 'all' ) . "' 
	WHERE id = '" . ( int ) $_POST['iduser'] . "'" );
	
    echo 1;
    exit();
  }
  
  ### Редактирование пользователя (часть вторая - счета)
  if ( $_GET['func'] == 'edituser_2' ) {
    
	mysql_query( "UPDATE user SET 
	  money = '" . floatval( $_POST['money'] ) . "', 
	  adv_money = '" . floatval( $_POST['adv_money'] ) . "', 
	  savingscards = '" . floatval( $_POST['savingscards'] ) . "', 
	  reyting = '" . floatval( $_POST['reyting'] ) . "', 
	  advcash = '" . check_text( $_POST['advcash'] ) . "', 
	  payeer = '" . check_text( $_POST['payeer'] ) . "', 
	  purse = '" . check_text( $_POST['purse'] ) . "', 
	  wmid = '" . ( int ) $_POST['wmid'] . "' 
	WHERE id = '" . ( int ) $_POST['iduser'] . "'" );
	
    echo 1;
    exit();
  }
  
  ### Удаление пользователя
  if ( $_GET['func'] == 'userdel' ) {
    mysql_query( "UPDATE user SET userdel = 1 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
  }

  ### Де-удаление пользователя
  if ( $_GET['func'] == 'userdedel' ) {
    mysql_query( "UPDATE user SET userdel = 0 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
  }


  ### Блокировка сайтов
  if ( $_GET['func'] == 'blocksite' ) {
    $checkSite = mysql_query( "SELECT id FROM blockSite WHERE site = '" . strtolower( check_text( $_POST['site'] ) ) . "'" ) or die( mysql_error() );
    
	$opisanie = trim( $_POST['opisanie'] );
	
	if ( check_text( $_POST['site'] ) == '' ) {
        echo 'Укажите адрес сайта!';
        exit();
    } else
	if ( check_text( $_POST['opisanie'] ) == '' ) {
        echo 'Укажите причину блокировки!';
        exit();
    } else
    if ( mysql_num_rows( $checkSite ) > 0 ) {
        echo 'Сайт уже блокирован!';
        exit();
    } else {
        mysql_query( "INSERT INTO blockSite SET site = '" . strtolower( check_text( $_POST['site'] ) ) . "', opisanie = '" . parce_bb_code ( substr( check_text( $opisanie ), 0, 300 ), 'msg' ) . "'" );
        echo 1;
        exit();
    }
  }

  ### Удаление заблокированных сайтов
  if ( $_GET['func'] == 'delBlockSite' ) {
    $check = mysql_query( "SELECT id FROM blockSite WHERE id = '" . ( int ) $_POST['id'] . "' LIMIT 1" );
    if ( mysql_num_rows( $check ) > 0 ) {
        mysql_query( "DELETE FROM blockSite WHERE id = '" . ( int ) $_POST['id'] . "' LIMIT 1" );
        echo 1;
        exit();
    } else {
        echo 'Произошла ошибка удаления!';
        exit();
    }
  }
  
  
  
  ###Ответ в тикете
  if ( $_GET['func'] == 'mesagetiks' ) {
    
    if ( !isset( $_SESSION['iduser'] ) ) exit();
    if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) exit();
    
	$id = ( int ) $_POST['id'];
    $text = trim( $_POST['text'] );
    
    $proverka = mysql_query( "SELECT * FROM tickets WHERE id = '" . $id . "'" );
    
	if ( $text == "" ) {
		echo 'Содержание запроса не может быть пустым!';
		exit();
	} else
    
	if ( mysql_num_rows( $proverka ) > 0 ) {
        $proverka_row = mysql_fetch_array( $proverka );
        $ident = $proverka_row['ident'];
		
        mysql_query( "
			INSERT INTO
				tickets_dialog 
			SET 
				ident = '" . $ident . "', 
				iduser = '0',  
				message = '" . parce_bb_code ( substr( check_text( $text ), 0, 5000 ), 'msg' ) . "',
				time = '" . time() . "'
			" );
		mysql_query( "UPDATE tickets SET status = '1' WHERE id = '" . $id . "'" );
        
        echo 1;
        exit();
    } else {
		echo 'Этот тикет не существует!';
		exit();
	}
  }

  ### Удаление тикетов
  if ( $_GET['func'] == 'deltickets' ) {
    
    if ( !isset( $_SESSION['iduser'] ) ) exit();
    if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) exit();
    $proverka = mysql_query( "SELECT * FROM tickets WHERE id = '" . ( int ) $_POST['id'] . "'" );
    
    if ( mysql_num_rows( $proverka ) > 0 ) {
        $proverka_row = mysql_fetch_array( $proverka );
        mysql_query( "DELETE FROM tickets WHERE ident = '" . $proverka_row['ident'] . "'" );
        mysql_query( "DELETE FROM tickets_dialog WHERE ident = '" . $proverka_row['ident'] . "'" );
        echo 1;
        exit();
    } else {
		echo 'Этот тикет не существует!';
		exit();
	}
  }

  ### Удаление сщщбщений
  if ( $_GET['func'] == 'delmestickets' ) {
    
    if ( !isset( $_SESSION['iduser'] ) ) exit();
    if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) exit();
    
    $proverka = mysql_query( "SELECT * FROM tickets_dialog WHERE id = '" . ( int ) $_POST['id'] . "'" );
    
    if ( mysql_num_rows( $proverka ) > 0 ) {
        $proverka_row = mysql_fetch_array( $proverka );
        mysql_query( "DELETE FROM tickets_dialog WHERE id = '" . ( int ) $_POST['id'] . "'" );
        echo 1;
        exit();
    } else {
		echo 'Сообщения не существует!';
		exit();
	}
  }
  
  ### Удаление жалоб (реклама)
  if ( $_GET['func'] == 'delcomplaints_adv' ) {
    
    if ( !isset( $_SESSION['iduser'] ) ) exit();
    if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) exit();
    
    $proverka = mysql_query( "SELECT * FROM complaints_advertising WHERE id = '" . ( int ) $_POST['id'] . "'" );
    
    if ( mysql_num_rows( $proverka ) > 0 ) {
        $proverka_row = mysql_fetch_array( $proverka );
        mysql_query( "DELETE FROM complaints_advertising WHERE id = '" . ( int ) $_POST['id'] . "'" );
        echo 1;
        exit();
    } else {
		echo 'Запись не существует!';
		exit();
	}
  }
  
  ### Удаление жалоб (конкурсы)
  if ( $_GET['func'] == 'delcomplaints_contests' ) {
    
    if ( !isset( $_SESSION['iduser'] ) ) exit();
    if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) exit();
    
    $proverka = mysql_query( "SELECT * FROM complaints_competition WHERE id = '" . ( int ) $_POST['id'] . "'" );
    
    if ( mysql_num_rows( $proverka ) > 0 ) {
        $proverka_row = mysql_fetch_array( $proverka );
        mysql_query( "DELETE FROM complaints_competition WHERE id = '" . ( int ) $_POST['id'] . "'" );
        echo 1;
        exit();
    } else {
		echo 'Запись не существует!';
		exit();
	}
  }
  
  
  
  

  ### Удаление новостей
  if ( $_GET['func'] == 'del_news' ) {
    $check = mysql_query( "SELECT id FROM news_of_the_project WHERE id = '" . ( int ) $_POST['id'] . "' LIMIT 1" );
    if ( mysql_num_rows( $check ) > 0 ) {
        mysql_query( "DELETE FROM news_of_the_project WHERE id = '" . ( int ) $_POST['id'] . "' LIMIT 1" );
        echo 1;
        exit();
    } else {
        echo 'Произошла ошибка удаления!';
        exit();
    }
  }
  
  ### Создание новости
  if ( $_GET['func'] == 'create_news' ) {
    
	$_POST['message'] = trim( $_POST['message'] );
	$_POST['message'] = check_text( $_POST['message'] );
	
	if ( empty( $_POST['caption'] ) ) {
      echo 'Вы не указали заголовок новости!';
      exit();
    } else
    if ( $_POST['message'] == "" ) {
      echo 'Вы не указали текст новости!';
      exit();
    }
    
    mysql_query( "INSERT INTO news_of_the_project SET 
	  caption = '" . check_text( $_POST['caption'] ) . "', 
	  url_forum = '" . check_text( $_POST['url_forum'] ) . "', 
	  message = '" . parce_bb_code( substr( $_POST['message'], 0, 3000 ), 'forum' ) . "', 
	  type = '" . ( int ) $_POST['type'] . "', 
	  time = '" . time() . "'" 
	);
    
    echo 1;
    exit();
  }  

### Создание конкурса
if ( $_GET['func'] == 'createKonkurs' ) {
    
	$_POST['description'] = trim( $_POST['description'] );
	$_POST['description'] = check_text( $_POST['description'] );
	
	$checkKonkurs = mysql_query( "SELECT id FROM konkurs WHERE type = '" . ( int ) $_POST['type'] . "'" );
    if ( mysql_num_rows( $checkKonkurs ) > 0 ) {
      echo 'Конкурс уже существует. Дождитесь окончания, или удалите его сперва для пересоздания!';
      exit();
    }
	
	if ( empty( $_POST['name'] ) ) {
      echo 'Вы не указали название конкурса!';
      exit();
    } else
    if ( $_POST['description'] == "" ) {
      echo 'Вы не указали описание конкурса!';
      exit();
    } else
    if ( $_POST['priz1'] == 0 OR $_POST['priz2'] == 0 OR $_POST['priz3'] == 0 ) {
      echo 'Размер приза за первые три места указывать обязательно, другие по желанию, и в порядковой очереди.';
      exit();
    } 
    
    if ( $_POST['allsumm'] == 'on' ) {
      $allsumm = 1;
    } else {
      $allsumm = 0;
    }
    
    mysql_query( "INSERT INTO konkurs SET 
	  name = '" . check_text( $_POST['name'] ) . "', 
	  description = '" . parce_bb_code( substr( $_POST['description'], 0, 3000 ), 'forum' ) . "', 
	  type = '" . ( int ) $_POST['type'] . "', 
	  date_start = '" . time() . "', 
	  date_end = '" . strtotime( check_text( $_POST['date_end'] ) ) . "', 
	  min_type = '" . ( int ) $_POST['min_type'] . "', 
	  priz1 = '" . floatval( $_POST['priz1'] ) . "', 
	  priz2 = '" . floatval( $_POST['priz2'] ) . "', 
	  priz3 = '" . floatval( $_POST['priz3'] ) . "', 
	  priz4 = '" . floatval( $_POST['priz4'] ) . "', 
	  priz5 = '" . floatval( $_POST['priz5'] ) . "', 
	  priz6 = '" . floatval( $_POST['priz6'] ) . "', 
	  priz7 = '" . floatval( $_POST['priz7'] ) . "', 
	  priz8 = '" . floatval( $_POST['priz8'] ) . "', 
	  priz9 = '" . floatval( $_POST['priz9'] ) . "', 
	  priz10 = '" . floatval( $_POST['priz10'] ) . "', 
	  priz_type = '" . ( int ) $_POST['priz_type'] . "', 
	  allsumm = $allsumm" 
	);
    
    echo 1;
    exit();
}

### Удаление конкурса
if ( $_GET['func'] == 'delKonkurs' ) {
    $chKonkurs = mysql_query( "SELECT * FROM konkurs WHERE id = '" . ( int ) $_POST['id'] . "'" );
    if ( mysql_num_rows( $chKonkurs ) > 0 ) {
        $chKonkursRow = mysql_fetch_array( $chKonkurs );
        
        mysql_query( "DELETE FROM konkurs WHERE id = '" . $chKonkursRow['id'] . "'" );
        mysql_query( "DELETE FROM konkurs_temp WHERE id_konkurs = '" . $chKonkursRow['id'] . "'" );
        
        echo 1;
        exit();
    } else {
        echo 'Конкурс не найден!';
        exit();
    }
}

### Удаление участника с конкурса
if ( $_GET['func'] == 'delKonkursUser' ) {
    $chKonkurs_user = mysql_query( "SELECT * FROM konkurs_temp WHERE id = '" . ( int ) $_POST['id'] . "'" );
    if ( mysql_num_rows( $chKonkurs_user ) > 0 ) {
        $chKonkursRow_user = mysql_fetch_array( $chKonkurs_user );
        
        mysql_query( "DELETE FROM konkurs_temp WHERE id = '" . $chKonkursRow_user['id'] . "'" );
        
        echo 1;
        exit();
    } else {
        echo 'Участник не найден!';
        exit();
    }
}

### Остановление рекламной площадки (серфинг)
if ( $_GET['func'] == 'dynlinkstop' ) {
    mysql_query( "UPDATE dynlink SET paused = 0 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Запуск рекламной площадки (серфинг)
if ( $_GET['func'] == 'dynlinkstart' ) {
    mysql_query( "UPDATE dynlink SET paused = 1 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Удаление рекламной площадки (серфинг)
if ( $_GET['func'] == 'dynlinkdel' ) {
    mysql_query( "DELETE FROM dynlink_temp WHERE ident = '" . ( int ) $_POST['id'] . "'" );
    mysql_query( "DELETE FROM dynlink WHERE id = '" . ( int ) $_POST['id'] . "' " );
    mysql_query( "DELETE FROM basket WHERE ident = '" . ( int ) $_POST['id'] . "' and type = 0" );
    echo 1;
    exit();
}

### Редактирование площадки (серфинг)
if ( $_GET['func'] == 'editserf' ) {
    if ( $_POST['erotic'] == 'on' ) $_POST['erotic'] = 1; else $_POST['erotic'] = 0;
    
    if ( $_POST['freeid'] == 'on' ) $_POST['freeid'] = 1; else $_POST['freeid'] = 0;
    
    $_POST['title'] = trim( $_POST['title'] );
    $_POST['description'] = trim( $_POST['description'] );
    $_POST['url'] = trim( $_POST['url'] );	
	
	$_POST['title'] = check_text( $_POST['title'] );
    $_POST['description'] = check_text( $_POST['description'] );
    $_POST['url'] = check_text( $_POST['url'] );
	
	$geo_ru = trim( substr( check_text( $_POST['geo_ru'] ), 0, 3 ) );
	$geo_ua = trim( substr( check_text( $_POST['geo_ua'] ), 0, 3 ) );
	$geo_by = trim( substr( check_text( $_POST['geo_by'] ), 0, 3 ) );
	$geo_kz = trim( substr( check_text( $_POST['geo_kz'] ), 0, 3 ) );
	$geo_ge = trim( substr( check_text( $_POST['geo_ge'] ), 0, 3 ) );
	$geo_md = trim( substr( check_text( $_POST['geo_md'] ), 0, 3 ) );
	$geo_am = trim( substr( check_text( $_POST['geo_am'] ), 0, 3 ) );
	$geo_tj = trim( substr( check_text( $_POST['geo_tj'] ), 0, 3 ) );
	$geo_az = trim( substr( check_text( $_POST['geo_az'] ), 0, 3 ) );
	$geo_uz = trim( substr( check_text( $_POST['geo_uz'] ), 0, 3 ) );
	$geo_pt = trim( substr( check_text( $_POST['geo_pt'] ), 0, 3 ) );
	$geo_es = trim( substr( check_text( $_POST['geo_es'] ), 0, 3 ) );
	$geo_ee = trim( substr( check_text( $_POST['geo_ee'] ), 0, 3 ) );
	$geo_lv = trim( substr( check_text( $_POST['geo_lv'] ), 0, 3 ) );
	$geo_lt = trim( substr( check_text( $_POST['geo_lt'] ), 0, 3 ) );
	$geo_us = trim( substr( check_text( $_POST['geo_us'] ), 0, 3 ) );
	$geo_gb = trim( substr( check_text( $_POST['geo_gb'] ), 0, 3 ) );
	$geo_fr = trim( substr( check_text( $_POST['geo_fr'] ), 0, 3 ) );
	$geo_de = trim( substr( check_text( $_POST['geo_de'] ), 0, 3 ) );
	$geo_cn = trim( substr( check_text( $_POST['geo_cn'] ), 0, 3 ) );
	$geo_all = trim( substr( check_text( $_POST['geo_all'] ), 0, 3 ) );
	$geo_it = trim( substr( check_text( $_POST['geo_it'] ), 0, 3 ) );
    
	$proverka = mysql_num_rows(mysql_query( "SELECT id FROM dynlink WHERE id = '" . ( int ) $_POST['idserf'] . "' LIMIT 1" ) );
	$nouser = mysql_fetch_array( mysql_query( "SELECT nouser FROM dynlink WHERE id = '" . ( int ) $_POST['idserf'] . "' LIMIT 1" ) );
	
	if ( $proverka == 0 ) {
        echo 'Рекламная площадка не существует или не принадлежит Вам!';
        exit();
    } else
	if ( empty( $_POST['url'] ) ) {
        echo 'Вы не указали url ссылки!';
        exit();
    } else
	if ( empty( $_POST['title'] ) ) {
        echo 'Вы не указали заголовок ссылки!';
        exit();
    } else
    if ( empty( $_POST['description'] ) ) {
        echo 'Вы не указали описание ссылки!';
        exit();
    } else
	if ( !is_numeric( $_POST['timer'] ) ) {
        echo 'Вы не выбрали время просмотра!';
        exit();
    } else
	if ( !is_numeric( $_POST['obper'] ) ) {
        echo 'Вы не выбрали последующий переход!';
        exit();
    } else
    if ( !is_numeric( $_POST['vip'] ) ) {
        echo 'Вы не выбрали статус ссылки!';
        exit();
    } else
    if ( ( int ) $_POST['timer'] != 0 and ( int ) $_POST['timer'] != 1 and ( int ) $_POST['timer'] != 2 and ( int ) $_POST['timer'] != 3 and ( int ) $_POST['timer'] != 4 and ( int ) $_POST['timer'] != 5 and ( int ) $_POST['timer'] != 6 and ( int ) $_POST['timer'] != 7 and ( int ) $_POST['timer'] != 8 and ( int ) $_POST['timer'] != 9 and ( int ) $_POST['timer'] != 10 and ( int ) $_POST['timer'] != 11 and ( int ) $_POST['timer'] != 12 and ( int ) $_POST['timer'] != 13 and ( int ) $_POST['timer'] != 14 ) {
        echo 'Неверный параметр таймера!';
        exit();
    } else
    if ( ( int ) $_POST['obper'] != 0 and ( int ) $_POST['obper'] != 1 ) {
        echo 'Неверный параметр последующего перехода!';
        exit();
    } else
    if ( ( int ) $_POST['vip'] != 0 and ( int ) $_POST['vip'] != 1 ) {
        echo 'Неверный параметр статуса ссылки!';
        exit();
    } else 
	if ( ( empty( $_POST['iduser'] ) OR $_POST['iduser'] == 0 ) AND $nouser['nouser'] == 0 ) {
      echo 'Вы указали не коректный id рекламодателя!';
      exit();
    } else      
	if ( floatval( $_POST['balance'] ) < 0 ) {
        echo 'Баланс площадки не может быть меньше нуля!';
        exit();
    } else 
	if ($geo_ru == '' AND $geo_ua == '' AND $geo_by == '' AND $geo_kz == '' AND $geo_ge == '' AND $geo_md == '' AND $geo_am == '' AND $geo_tj == '' AND $geo_az == '' AND $geo_uz == '' AND $geo_pt == '' AND $geo_es == '' AND    $geo_ee == '' AND $geo_lv == '' AND $geo_lt == '' AND $geo_us == '' AND $geo_gb == '' AND $geo_fr == '' AND $geo_de == '' AND $geo_cn == '' AND $geo_all == '' AND $geo_it == '') {
		echo 'Геотаргетинг - должна быть выбрана хотябы одна страна!';
        exit();	
	} else {
	
		if ( parse_url( $_POST['url'], PHP_URL_SCHEME ) == '' ) {
			$_POST['url'] = 'http://' . $_POST['url'];
		}
    
		mysql_query( "UPDATE dynlink SET 
		  title = '" . substr( $_POST['title'], 0, 55 ) . "', 
		  description = '" . substr( $_POST['description'], 0, 55 ) . "', 
		  url = '" . substr( $_POST['url'], 0, 255 ) . "', 
		  balance = '" . floatval( $_POST['balance'] ) . "', 
		  timer = '" . ( int ) $_POST['timer'] . "', 
		  obper = '" . ( int ) $_POST['obper'] . "', 
		  vip = '" . ( int ) $_POST['vip'] . "', 
		  erotic = '" . ( int ) $_POST['erotic'] . "', 
		  freeid = '" . ( int )$_POST['freeid'] . "', 
		  active_window = '" . ( int )$_POST['active_window'] . "', 
		  iduser = '" . ( int ) $_POST['iduser'] . "', 
		  geo_ru = '" . $geo_ru . "', 
		  geo_ua = '" . $geo_ua . "', 
		  geo_by = '" . $geo_by . "', 
		  geo_kz = '" . $geo_kz . "', 
		  geo_ge = '" . $geo_ge . "', 
		  geo_md = '" . $geo_md . "', 
		  geo_am = '" . $geo_am . "', 
		  geo_tj = '" . $geo_tj . "', 
		  geo_az = '" . $geo_az . "', 
		  geo_uz = '" . $geo_uz . "', 
		  geo_pt = '" . $geo_pt . "', 
		  geo_es = '" . $geo_es . "', 
		  geo_ee = '" . $geo_ee . "', 
		  geo_lv = '" . $geo_lv . "', 
		  geo_lt = '" . $geo_lt . "', 
		  geo_us = '" . $geo_us . "', 
		  geo_gb = '" . $geo_gb . "', 
		  geo_fr = '" . $geo_fr . "', 
		  geo_de = '" . $geo_de . "', 
		  geo_cn = '" . $geo_cn . "', 
		  geo_it = '" . $geo_it . "', 
		  geo_all = '" . $geo_all . "' 
		WHERE id = '" . ( int ) $_POST['idserf'] . "'" );
		echo 1;
		exit();
	} 
}

### Остановление рекламной площадки (авто-серфинг)
if ( $_GET['func'] == 'autodynlinkstop' ) {
    mysql_query( "UPDATE autodynlink SET paused = 0 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Запуск рекламной площадки (авто-серфинг)
if ( $_GET['func'] == 'autodynlinkstart' ) {
    mysql_query( "UPDATE autodynlink SET paused = 1 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Удаление рекламной площадки (авто-серфинг)
if ( $_GET['func'] == 'autodynlinkdel' ) {
    mysql_query( "DELETE FROM autoserf_ban_url WHERE ident = '" . ( int ) $_POST['id'] . "'" );
    mysql_query( "DELETE FROM autodynlink_temp WHERE ident = '" . ( int ) $_POST['id'] . "'" );
    mysql_query( "DELETE FROM autodynlink WHERE id = '" . ( int ) $_POST['id'] . "' " );
    mysql_query( "DELETE FROM basket WHERE ident = '" . ( int ) $_POST['id'] . "' and type = 16" );
    echo 1;
    exit();
}

### Редактирование площадки (авто-серфинг)
if ( $_GET['func'] == 'editautoserf' ) {
    $_POST['title'] = trim( $_POST['title'] );
    $_POST['url'] = trim( $_POST['url'] );	
	
	$_POST['title'] = check_text( $_POST['title'] );
    $_POST['url'] = check_text( $_POST['url'] );
	
	$geo_ru = trim( substr( check_text( $_POST['geo_ru'] ), 0, 3 ) );
	$geo_ua = trim( substr( check_text( $_POST['geo_ua'] ), 0, 3 ) );
	$geo_by = trim( substr( check_text( $_POST['geo_by'] ), 0, 3 ) );
	$geo_kz = trim( substr( check_text( $_POST['geo_kz'] ), 0, 3 ) );
	$geo_ge = trim( substr( check_text( $_POST['geo_ge'] ), 0, 3 ) );
	$geo_md = trim( substr( check_text( $_POST['geo_md'] ), 0, 3 ) );
	$geo_am = trim( substr( check_text( $_POST['geo_am'] ), 0, 3 ) );
	$geo_tj = trim( substr( check_text( $_POST['geo_tj'] ), 0, 3 ) );
	$geo_az = trim( substr( check_text( $_POST['geo_az'] ), 0, 3 ) );
	$geo_uz = trim( substr( check_text( $_POST['geo_uz'] ), 0, 3 ) );
	$geo_pt = trim( substr( check_text( $_POST['geo_pt'] ), 0, 3 ) );
	$geo_es = trim( substr( check_text( $_POST['geo_es'] ), 0, 3 ) );
	$geo_ee = trim( substr( check_text( $_POST['geo_ee'] ), 0, 3 ) );
	$geo_lv = trim( substr( check_text( $_POST['geo_lv'] ), 0, 3 ) );
	$geo_lt = trim( substr( check_text( $_POST['geo_lt'] ), 0, 3 ) );
	$geo_us = trim( substr( check_text( $_POST['geo_us'] ), 0, 3 ) );
	$geo_gb = trim( substr( check_text( $_POST['geo_gb'] ), 0, 3 ) );
	$geo_fr = trim( substr( check_text( $_POST['geo_fr'] ), 0, 3 ) );
	$geo_de = trim( substr( check_text( $_POST['geo_de'] ), 0, 3 ) );
	$geo_cn = trim( substr( check_text( $_POST['geo_cn'] ), 0, 3 ) );
	$geo_all = trim( substr( check_text( $_POST['geo_all'] ), 0, 3 ) );
	$geo_it = trim( substr( check_text( $_POST['geo_it'] ), 0, 3 ) );
    
	$proverka = mysql_num_rows(mysql_query( "SELECT id FROM autodynlink WHERE id = '" . ( int ) $_POST['idautoserf'] . "' LIMIT 1" ) );
	$nouser = mysql_fetch_array( mysql_query( "SELECT nouser FROM autodynlink WHERE id = '" . ( int ) $_POST['idautoserf'] . "' LIMIT 1" ) );
	
	if ( $proverka == 0 ) {
        echo 'Рекламная площадка не существует или не принадлежит Вам!';
        exit();
    } else
	if ( empty( $_POST['url'] ) ) {
        echo 'Вы не указали url ссылки!';
        exit();
    } else
	if ( empty( $_POST['title'] ) ) {
        echo 'Вы не указали заголовок ссылки!';
        exit();
    } else
    if ( !is_numeric( $_POST['timer'] ) ) {
        echo 'Вы не выбрали время просмотра!';
        exit();
    } else
	if ( ( int ) $_POST['timer'] != 0 and ( int ) $_POST['timer'] != 1 and ( int ) $_POST['timer'] != 2 and ( int ) $_POST['timer'] != 3 and ( int ) $_POST['timer'] != 4 and ( int ) $_POST['timer'] != 5 ) {
        echo 'Неверный параметр таймера!';
        exit();
    } else
    if ( ( empty( $_POST['iduser'] ) OR $_POST['iduser'] == 0 ) AND $nouser['nouser'] == 0 ) {
      echo 'Вы указали не коректный id рекламодателя!';
      exit();
    } else   
    if ( floatval( $_POST['balance'] ) < 0 ) {
        echo 'Баланс площадки не может быть меньше нуля!';
        exit();
    } else 
	if ($geo_ru == '' AND $geo_ua == '' AND $geo_by == '' AND $geo_kz == '' AND $geo_ge == '' AND $geo_md == '' AND $geo_am == '' AND $geo_tj == '' AND $geo_az == '' AND $geo_uz == '' AND $geo_pt == '' AND $geo_es == '' AND    $geo_ee == '' AND $geo_lv == '' AND $geo_lt == '' AND $geo_us == '' AND $geo_gb == '' AND $geo_fr == '' AND $geo_de == '' AND $geo_cn == '' AND $geo_all == '' AND $geo_it == '') {
		echo 'Геотаргетинг - должна быть выбрана хотябы одна страна!';
        exit();	
	} else {
	
		if ( parse_url( $_POST['url'], PHP_URL_SCHEME ) == '' ) {
			$_POST['url'] = 'http://' . $_POST['url'];
		}
    
		mysql_query( "UPDATE autodynlink SET 
		  title = '" . substr( $_POST['title'], 0, 55 ) . "', 
		  url = '" . substr( $_POST['url'], 0, 255 ) . "', 
		  balance = '" . floatval( $_POST['balance'] ) . "', 
		  timer = '" . ( int ) $_POST['timer'] . "',
		  iduser = '" . ( int ) $_POST['iduser'] . "', 
		  geo_ru = '" . $geo_ru . "', 
		  geo_ua = '" . $geo_ua . "', 
		  geo_by = '" . $geo_by . "', 
		  geo_kz = '" . $geo_kz . "', 
		  geo_ge = '" . $geo_ge . "', 
		  geo_md = '" . $geo_md . "', 
		  geo_am = '" . $geo_am . "', 
		  geo_tj = '" . $geo_tj . "', 
		  geo_az = '" . $geo_az . "', 
		  geo_uz = '" . $geo_uz . "', 
		  geo_pt = '" . $geo_pt . "', 
		  geo_es = '" . $geo_es . "', 
		  geo_ee = '" . $geo_ee . "', 
		  geo_lv = '" . $geo_lv . "', 
		  geo_lt = '" . $geo_lt . "', 
		  geo_us = '" . $geo_us . "', 
		  geo_gb = '" . $geo_gb . "', 
		  geo_fr = '" . $geo_fr . "', 
		  geo_de = '" . $geo_de . "', 
		  geo_cn = '" . $geo_cn . "', 
		  geo_it = '" . $geo_it . "', 
		  geo_all = '" . $geo_all . "' 
		WHERE id = '" . ( int ) $_POST['idautoserf'] . "'" );
		echo 1;
		exit();
	} 
}

### Остановление рекламной площадки (Контекстная реклама)
if ( $_GET['func'] == 'klinkstop' ) {
    mysql_query( "UPDATE klink SET paused = 0 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Запуск рекламной площадки (Контекстная реклама)
if ( $_GET['func'] == 'klinkstart' ) {
    mysql_query( "UPDATE klink SET paused = 1 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Удаление рекламной площадки (Контекстная реклама)
if ( $_GET['func'] == 'klinkdel' ) {
    mysql_query( "DELETE FROM klink WHERE id = '" . ( int ) $_POST['id'] . "' " );
    mysql_query( "DELETE FROM basket WHERE ident = '" . ( int ) $_POST['id'] . "' and type = 1" );
    echo 1;
    exit();
}

### Редактирование площадки (Контекстная реклама)
if ( $_GET['func'] == 'editklink' ) {
    
	$_POST['title'] = trim( $_POST['title'] );
    $_POST['description'] = trim( $_POST['description'] );
    $_POST['url'] = trim( $_POST['url'] );	
	
	$_POST['title'] = check_text( $_POST['title'] );
    $_POST['description'] = check_text( $_POST['description'] );
    $_POST['url'] = check_text( $_POST['url'] );
    
	$proverka = mysql_num_rows(mysql_query( "SELECT id FROM klink WHERE id = '" . ( int ) $_POST['idklink'] . "' LIMIT 1" ) );
	$nouser = mysql_fetch_array( mysql_query( "SELECT nouser FROM klink WHERE id = '" . ( int ) $_POST['idklink'] . "' LIMIT 1" ) );
	
	if ( $proverka == 0 ) {
        echo 'Рекламная площадка не существует или не принадлежит Вам!';
        exit();
    } else
	if ( empty( $_POST['url'] ) ) {
        echo 'Вы не указали url ссылки!';
        exit();
    } else
	if ( empty( $_POST['title'] ) ) {
        echo 'Вы не указали заголовок ссылки!';
        exit();
    } else
    if ( empty( $_POST['description'] ) ) {
        echo 'Вы не указали описание ссылки!';
        exit();
    } else    
	if ( ( empty( $_POST['iduser'] ) OR $_POST['iduser'] == 0 ) AND $nouser['nouser'] == 0 ) {
      echo 'Вы указали не коректный id рекламодателя!';
      exit();
    } else    
	if ( floatval( $_POST['balance'] ) < 0 ) {
        echo 'Баланс площадки не может быть меньше нуля!';
        exit();
    } else {
	
		if ( parse_url( $_POST['url'], PHP_URL_SCHEME ) == '' ) {
			$_POST['url'] = 'http://' . $_POST['url'];
		}
    
		mysql_query( "UPDATE klink SET title = '" . substr( $_POST['title'], 0, 55 ) . "', description = '" . substr( $_POST['description'], 0, 55 ) . "', url = '" . substr( $_POST['url'], 0, 255 ) . "', balance = '" . floatval( $_POST['balance'] ) . "', iduser = '" . ( int ) $_POST['iduser'] . "' WHERE id = '" . ( int ) $_POST['idklink'] . "'" );
		echo 1;
		exit();
	} 
}

### Остановление рекламной площадки (тесты)
if ( $_GET['func'] == 'testsstop' ) {
    mysql_query( "UPDATE tests SET paused = 0 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Запуск рекламной площадки (тесты)
if ( $_GET['func'] == 'testsstart' ) {
    mysql_query( "UPDATE tests SET paused = 1 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Удаление рекламной площадки (тесты)
if ( $_GET['func'] == 'testsdel' ) {
    mysql_query( "DELETE FROM tests_temp WHERE ident = '" . ( int ) $_POST['id'] . "'" );
    mysql_query( "DELETE FROM tests WHERE id = '" . ( int ) $_POST['id'] . "' " );
    mysql_query( "DELETE FROM basket WHERE ident = '" . ( int ) $_POST['id'] . "' and type = 2" );
    echo 1;
    exit();
}

### Редактирование площадки (тесты)
if ( $_GET['func'] == 'edittests' ) {
    
	$_POST['title'] = trim( $_POST['title'] );
    $_POST['text'] = trim( $_POST['text'] );
    $_POST['url'] = trim( $_POST['url'] );
    $_POST['v1'] = trim( $_POST['v1'] );
    $_POST['answer1'] = trim( $_POST['answer1'] );
    $_POST['answer2'] = trim( $_POST['answer2'] );
    $_POST['answer3'] = trim( $_POST['answer3'] );
    $_POST['v2'] = trim( $_POST['v2'] );
    $_POST['answer4'] = trim( $_POST['answer4'] );
    $_POST['answer5'] = trim( $_POST['answer5'] );
    $_POST['answer6'] = trim( $_POST['answer6'] );
    $_POST['v3'] = trim( $_POST['v3'] );
    $_POST['answer7'] = trim( $_POST['answer7'] );
    $_POST['answer8'] = trim( $_POST['answer8'] );
    $_POST['answer9'] = trim( $_POST['answer9'] );	
	
	$_POST['title'] = check_text( $_POST['title'] );
    $_POST['text'] = check_text( $_POST['text'] );
    $_POST['url'] = check_text( $_POST['url'] );
    $_POST['v1'] = check_text( $_POST['v1'] );
    $_POST['answer1'] = check_text( $_POST['answer1'] );
    $_POST['answer2'] = check_text( $_POST['answer2'] );
    $_POST['answer3'] = check_text( $_POST['answer3'] );
    $_POST['v2'] = check_text( $_POST['v2'] );
    $_POST['answer4'] = check_text( $_POST['answer4'] );
    $_POST['answer5'] = check_text( $_POST['answer5'] );
    $_POST['answer6'] = check_text( $_POST['answer6'] );
    $_POST['v3'] = check_text( $_POST['v3'] );
    $_POST['answer7'] = check_text( $_POST['answer7'] );
    $_POST['answer8'] = check_text( $_POST['answer8'] );
    $_POST['answer9'] = check_text( $_POST['answer9'] );
	
	$geo_ru = trim( substr( check_text( $_POST['geo_ru'] ), 0, 3 ) );
	$geo_ua = trim( substr( check_text( $_POST['geo_ua'] ), 0, 3 ) );
	$geo_by = trim( substr( check_text( $_POST['geo_by'] ), 0, 3 ) );
	$geo_kz = trim( substr( check_text( $_POST['geo_kz'] ), 0, 3 ) );
	$geo_ge = trim( substr( check_text( $_POST['geo_ge'] ), 0, 3 ) );
	$geo_md = trim( substr( check_text( $_POST['geo_md'] ), 0, 3 ) );
	$geo_am = trim( substr( check_text( $_POST['geo_am'] ), 0, 3 ) );
	$geo_tj = trim( substr( check_text( $_POST['geo_tj'] ), 0, 3 ) );
	$geo_az = trim( substr( check_text( $_POST['geo_az'] ), 0, 3 ) );
	$geo_uz = trim( substr( check_text( $_POST['geo_uz'] ), 0, 3 ) );
	$geo_pt = trim( substr( check_text( $_POST['geo_pt'] ), 0, 3 ) );
	$geo_es = trim( substr( check_text( $_POST['geo_es'] ), 0, 3 ) );
	$geo_ee = trim( substr( check_text( $_POST['geo_ee'] ), 0, 3 ) );
	$geo_lv = trim( substr( check_text( $_POST['geo_lv'] ), 0, 3 ) );
	$geo_lt = trim( substr( check_text( $_POST['geo_lt'] ), 0, 3 ) );
	$geo_us = trim( substr( check_text( $_POST['geo_us'] ), 0, 3 ) );
	$geo_gb = trim( substr( check_text( $_POST['geo_gb'] ), 0, 3 ) );
	$geo_fr = trim( substr( check_text( $_POST['geo_fr'] ), 0, 3 ) );
	$geo_de = trim( substr( check_text( $_POST['geo_de'] ), 0, 3 ) );
	$geo_cn = trim( substr( check_text( $_POST['geo_cn'] ), 0, 3 ) );
	$geo_all = trim( substr( check_text( $_POST['geo_all'] ), 0, 3 ) );
	$geo_it = trim( substr( check_text( $_POST['geo_it'] ), 0, 3 ) );
    
	$proverka = mysql_num_rows(mysql_query( "SELECT id FROM tests WHERE id = '" . ( int ) $_POST['idtests'] . "' LIMIT 1" ) );
	$nouser = mysql_fetch_array( mysql_query( "SELECT nouser FROM tests WHERE id = '" . ( int ) $_POST['idtests'] . "' LIMIT 1" ) );
	
	if ( $proverka == 0 ) {
        echo 'Рекламная площадка не существует или не принадлежит Вам!';
        exit();
    } else
	if ( empty( $_POST['url'] ) ) {
        echo 'Вы не указали url ссылки!';
        exit();
    } else
	if ( empty( $_POST['title'] ) ) {
        echo 'Вы не указали заголовок ссылки!';
        exit();
    } else
    if ( empty( $_POST['text'] ) ) {
        echo 'Вы не указали описание ссылки!';
        exit();
    } else
	if ( ( empty( $_POST['iduser'] ) OR $_POST['iduser'] == 0 ) AND $nouser['nouser'] == 0 ) {
      echo 'Вы указали не коректный id рекламодателя!';
      exit();
    } else   	
	if ( empty( $_POST['v1'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else 	
	if ( empty( $_POST['answer1'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else 	
	if ( empty( $_POST['answer2'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else 	
	if ( empty( $_POST['answer3'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else 	
	if ( empty( $_POST['v2'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else 	
	if ( empty( $_POST['answer4'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else 	
	if ( empty( $_POST['answer5'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else 	
	if ( empty( $_POST['answer6'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else 	
	if ( empty( $_POST['v3'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else 	
	if ( empty( $_POST['answer7'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else 	
	if ( empty( $_POST['answer8'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else	
	if ( empty( $_POST['answer9'] ) ) {
        echo 'Не все поля заполнены!';
        exit();
    } else    
	if ( floatval( $_POST['balance'] ) < 0 ) {
        echo 'Баланс площадки не может быть меньше нуля!';
        exit();
    } else 
	if ( floatval( $_POST['balance'] ) < 0 ) {
        echo 'Баланс площадки не может быть меньше нуля!';
        exit();
    } else
	if ($geo_ru == '' AND $geo_ua == '' AND $geo_by == '' AND $geo_kz == '' AND $geo_ge == '' AND $geo_md == '' AND $geo_am == '' AND $geo_tj == '' AND $geo_az == '' AND $geo_uz == '' AND $geo_pt == '' AND $geo_es == '' AND    $geo_ee == '' AND $geo_lv == '' AND $geo_lt == '' AND $geo_us == '' AND $geo_gb == '' AND $geo_fr == '' AND $geo_de == '' AND $geo_cn == '' AND $geo_all == '' AND $geo_it == '') {
		echo 'Геотаргетинг - должна быть выбрана хотябы одна страна!';
        exit();	
	} else {
	
		if ( parse_url( $_POST['url'], PHP_URL_SCHEME ) == '' ) {
			$_POST['url'] = 'http://' . $_POST['url'];
		}
    
		mysql_query( "UPDATE tests SET 
		  title = '" . substr( $_POST['title'], 0, 55 ) . "', 
		  description = '" . parce_bb_code( substr( $_POST['text'], 0, 5000 ), '' ) . "',  
		  url = '" . substr( $_POST['url'], 0, 255 ) . "', 
		  balance = '" . floatval( $_POST['balance'] ) . "', 
		  v1 = '" . substr( $_POST['v1'], 0, 255 ) . "', 
		  answer1 = '" . substr( $_POST['answer1'], 0, 255 ) . "', 
		  answer2 = '" . substr( $_POST['answer2'], 0, 255 ) . "', 
		  answer3 = '" . substr( $_POST['answer3'], 0, 255 ) . "', 
		  v2 = '" . substr( $_POST['v2'], 0, 255 ) . "', 
		  answer4 = '" . substr( $_POST['answer4'], 0, 255 ) . "', 
		  answer5 = '" . substr( $_POST['answer5'], 0, 255 ) . "', 
		  answer6 = '" . substr( $_POST['answer6'], 0, 255 ) . "', 
		  v3 = '" . substr( $_POST['v3'], 0, 255 ) . "', 
		  answer7 = '" . substr( $_POST['answer7'], 0, 255 ) . "', 
		  answer8 = '" . substr( $_POST['answer8'], 0, 255 ) . "', 
		  answer9 = '" . substr( $_POST['answer9'], 0, 255 ) . "', 
		  iduser = '" . ( int ) $_POST['iduser'] . "', 
		  geo_ru = '" . $geo_ru . "', 
		  geo_ua = '" . $geo_ua . "', 
		  geo_by = '" . $geo_by . "', 
		  geo_kz = '" . $geo_kz . "', 
		  geo_ge = '" . $geo_ge . "', 
		  geo_md = '" . $geo_md . "', 
		  geo_am = '" . $geo_am . "', 
		  geo_tj = '" . $geo_tj . "', 
		  geo_az = '" . $geo_az . "', 
		  geo_uz = '" . $geo_uz . "', 
		  geo_pt = '" . $geo_pt . "', 
		  geo_es = '" . $geo_es . "', 
		  geo_ee = '" . $geo_ee . "', 
		  geo_lv = '" . $geo_lv . "', 
		  geo_lt = '" . $geo_lt . "', 
		  geo_us = '" . $geo_us . "', 
		  geo_gb = '" . $geo_gb . "', 
		  geo_fr = '" . $geo_fr . "', 
		  geo_de = '" . $geo_de . "', 
		  geo_cn = '" . $geo_cn . "', 
		  geo_it = '" . $geo_it . "', 
		  geo_all = '" . $geo_all . "' 
		WHERE id = '" . ( int ) $_POST['idtests'] . "'" );
		echo 1;
		exit();
	} 
}

### Остановление рекламной площадки (задания)
if ( $_GET['func'] == 'taskstop' ) {
    mysql_query( "UPDATE tasks SET paused = 0 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Запуск рекламной площадки (задания)
if ( $_GET['func'] == 'taskstart' ) {
    mysql_query( "UPDATE tasks SET paused = 1 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Удаление рекламной площадки (задания)
if ( $_GET['func'] == 'taskdel' ) {
    mysql_query( "DELETE FROM tasks_temp WHERE ident = '" . ( int ) $_POST['id'] . "'" );
    mysql_query( "DELETE FROM tasks WHERE id = '" . ( int ) $_POST['id'] . "' " );
    mysql_query( "DELETE FROM basket WHERE ident = '" . ( int ) $_POST['id'] . "' and type = 5" );
	mysql_query( "DELETE FROM tasks_comment WHERE ident = '" . ( int ) $_POST['id'] . "'" );
	mysql_query( "DELETE FROM tasks_favorites WHERE ident = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Редактирование площадки (задания)
if ( $_GET['func'] == 'edittask' ) {
	
	if ( $_POST['clearcookie'] == 'on' ) {
        $clearcookie = 1;
    } else {
        $clearcookie = 0;
    }	
	
	if ( $_POST['openWmid'] == 'on' ) {
        $openWmid = 1;
    } else {
        $openWmid = 0;
    }
    
	$_POST['title'] = trim( $_POST['title'] );
    $_POST['description'] = trim( $_POST['description'] );
    $_POST['url'] = trim( $_POST['url'] );
    $_POST['text'] = trim( $_POST['text'] );
	
	$_POST['title'] = check_text( $_POST['title'] );
    $_POST['description'] = check_text( $_POST['description'] );
    $_POST['url'] = check_text( $_POST['url'] );
	$_POST['text'] = check_text( $_POST['text'] );
	
	$ShownKategories = ( int ) $_POST['tkategorian'];
	$geo_ru = trim( substr( check_text( $_POST['geo_ru'] ), 0, 3 ) );
	$geo_ua = trim( substr( check_text( $_POST['geo_ua'] ), 0, 3 ) );
	$geo_by = trim( substr( check_text( $_POST['geo_by'] ), 0, 3 ) );
	$geo_kz = trim( substr( check_text( $_POST['geo_kz'] ), 0, 3 ) );
	$geo_ge = trim( substr( check_text( $_POST['geo_ge'] ), 0, 3 ) );
	$geo_md = trim( substr( check_text( $_POST['geo_md'] ), 0, 3 ) );
	$geo_am = trim( substr( check_text( $_POST['geo_am'] ), 0, 3 ) );
	$geo_tj = trim( substr( check_text( $_POST['geo_tj'] ), 0, 3 ) );
	$geo_az = trim( substr( check_text( $_POST['geo_az'] ), 0, 3 ) );
	$geo_uz = trim( substr( check_text( $_POST['geo_uz'] ), 0, 3 ) );
	$geo_pt = trim( substr( check_text( $_POST['geo_pt'] ), 0, 3 ) );
	$geo_es = trim( substr( check_text( $_POST['geo_es'] ), 0, 3 ) );
	$geo_ee = trim( substr( check_text( $_POST['geo_ee'] ), 0, 3 ) );
	$geo_lv = trim( substr( check_text( $_POST['geo_lv'] ), 0, 3 ) );
	$geo_lt = trim( substr( check_text( $_POST['geo_lt'] ), 0, 3 ) );
	$geo_us = trim( substr( check_text( $_POST['geo_us'] ), 0, 3 ) );
	$geo_gb = trim( substr( check_text( $_POST['geo_gb'] ), 0, 3 ) );
	$geo_fr = trim( substr( check_text( $_POST['geo_fr'] ), 0, 3 ) );
	$geo_de = trim( substr( check_text( $_POST['geo_de'] ), 0, 3 ) );
	$geo_cn = trim( substr( check_text( $_POST['geo_cn'] ), 0, 3 ) );
	$geo_all = trim( substr( check_text( $_POST['geo_all'] ), 0, 3 ) );
	$geo_it = trim( substr( check_text( $_POST['geo_it'] ), 0, 3 ) );
	
	$openReyting = ( int ) $_POST['openReyting'];
	$TimeoutInExecution = ( int ) $_POST['TimeoutInExecution'];
    
	$proverka = mysql_num_rows(mysql_query( "SELECT id FROM tasks WHERE id = '" . ( int ) $_POST['idtask'] . "' LIMIT 1" ) );
	
	if ( $proverka == 0 ) {
        echo 'Рекламная площадка не существует или не принадлежит Вам!';
        exit();
    } else
	if ( empty( $_POST['url'] ) ) {
        echo 'Вы не указали url ссылки!';
        exit();
    } else
	if ( empty( $_POST['title'] ) ) {
        echo 'Вы не указали заголовок ссылки!';
        exit();
    } else
    if ( $_POST['description'] == "" ) {
        echo 'Ответ исполнителя не должен быть пустым!';
        exit();
    } else
	if ( empty( $_POST['iduser'] ) OR $_POST['iduser'] == 0 ) {
        echo 'Вы указали не коректный id рекламодателя!';
        exit();
    } else    
	if ( floatval( $_POST['balance'] ) < 0 ) {
        echo 'Баланс площадки не может быть меньше нуля!';
        exit();
    } else    
	if ( empty( $_POST['text'] ) ) {
        echo 'Вы не указали описание ссылки!';
        exit();
    } else
    if ( floatval( $_POST['price'] ) < $config['tasks'] ) {
        echo 'Неверная цена вознаграждения!';
        exit();
    } else
	if ( !is_numeric( check_text( $_POST['tkategorian'] ) ) ) {
        echo 'Вы не выбрали категорию задания';
        exit();
    } else
	if ( $ShownKategories < '1' OR $ShownKategories > '16' ) {
        echo 'Неверная категория задания!';
        exit();
    } else
    if ( !is_numeric( ( int ) $_POST['tmode'] ) ) {
        echo 'Вы не выбрали тип исполнения!';
        exit();
    } else
    if ( !is_numeric( ( int ) $_POST['tdays'] ) ) {
        echo 'Вы не выбрали максимальный срок выполнения!';
        exit();
    } else
	if($openReyting > 5001){
		echo 'Максимальное значение ограничения по рейтингу "5000"';
		exit();
	} else
	if ($openReyting < 0) {
			echo 'Ограничения по рейтингу не может быть меньше "0"';
			exit();
	} else
    if ( ( int ) $_POST['tmode'] != 0 and ( int ) $_POST['tmode'] != 1 ) {
        echo 'Неверный тип исполнения!';
        exit();
    } else
	if(check_text( $_POST['tmode'] ) == '1'){
		if ( !is_numeric( check_text( $_POST['re_execution'] ) ) ) {
			echo 'Вы не выбрали параметер повторного выполнения до проверки!';
			exit();
		} else
		if ( check_text( $_POST['re_execution'] ) != '0' and check_text( $_POST['re_execution'] ) != '1' ) {
			echo 'Вы не выбрали параметер повторного выполнения до проверки!';
			exit();
		} else
		
		if ( check_text( $_POST['tmode'] ) == '0' and check_text( $_POST['re_execution'] ) == '1' ) {
			echo 'В задание одноразового типа не может быть выбран параметер повторного выполнения. Повторное выполнение доступно только в заданиях многоразового типа!';
			exit();
		} else
		if ( !is_numeric( check_text( $_POST['pdays'] ) ) ) {
			echo 'Вы не выбрали параметер повтора выполнения задания!';
			exit();
		} else
		if ( ( int ) $_POST['pdays'] != 0 and ( int ) $_POST['pdays'] != 3600 and ( int ) $_POST['pdays'] != 3600 * 3 and ( int ) $_POST['pdays'] != 3600 * 6 and ( int ) $_POST['pdays'] != 3600 * 12 and ( int ) $_POST['pdays'] != 86400 and ( int ) $_POST['pdays'] != 86400 * 2 and ( int ) $_POST['pdays'] != 86400 * 3 and ( int ) $_POST['pdays'] != 86400 * 5 ) {
			echo 'Неверный параметер повтора выполнения задания!';
			exit();
		} 
		$re_execution = ( int ) $_POST['re_execution'];
		$_POST['pdays'] = ( int ) $_POST['pdays'];
	}
	
	if ($geo_ru == '' AND $geo_ua == '' AND $geo_by == '' AND $geo_kz == '' AND $geo_ge == '' AND $geo_md == '' AND $geo_am == '' AND $geo_tj == '' AND $geo_az == '' AND $geo_uz == '' AND $geo_pt == '' AND $geo_es == '' AND    $geo_ee == '' AND $geo_lv == '' AND $geo_lt == '' AND $geo_us == '' AND $geo_gb == '' AND $geo_fr == '' AND $geo_de == '' AND $geo_cn == '' AND $geo_all == '' AND $geo_it == '') {
		echo 'Геотаргетинг - должна быть выбрана хотябы одна страна!';
        exit();	
	} else	
	if ( !is_numeric( check_text( $_POST['fdays'] ) ) ) {
        echo 'Вы не выбрали время ожидания между выполнениями!';
        exit();
    } else
	if ( ( int ) $_POST['fdays'] != 0 and ( int ) $_POST['fdays'] != 600 and ( int ) $_POST['fdays'] != 600 * 2 and ( int ) $_POST['fdays'] != 600 * 3 and ( int ) $_POST['fdays'] != 600 * 5 and ( int ) $_POST['fdays'] != 3600 and ( int ) $_POST['fdays'] != 3600 * 2 and ( int ) $_POST['fdays'] != 3600 * 3 and ( int ) $_POST['fdays'] != 3600 * 4 and ( int ) $_POST['fdays'] != 3600 * 5 and ( int ) $_POST['fdays'] != 3600 * 6 and ( int ) $_POST['fdays'] != 3600 * 12 and ( int ) $_POST['fdays'] != 86400 and ( int ) $_POST['fdays'] != 86400 * 2 and ( int ) $_POST['fdays'] != 86400 * 3  and ( int ) $_POST['fdays'] != 86400 * 5 ) {
        echo 'Неверный параметер время ожидания между выполнениями!';
        exit();
    } else
		
	if ( !is_numeric( check_text( $_POST['ip'] ) ) ) {
      echo 'Вы не выбрали параметер IP фильтра!';
      exit();
    } else
	if ( ( int ) $_POST['ip'] != 0 AND ( int ) $_POST['ip'] != 1 AND ( int ) $_POST['ip'] != 2 ) {
      echo 'Неверный параметер IP фильтра!';
      exit();
    } else
	if (( int ) $_POST['ip'] == 1 OR ( int ) $_POST['ip'] == 2 ) {
	  if ( ( int ) $_POST['ipfilter'] < 1 OR ( int ) $_POST['ipfilter'] > 240 ) {
		echo 'Не верное время действия IP фильтра!';
		exit();
	  } 
	}
    if ( ( int ) $_POST['tdays'] != 3600 and ( int ) $_POST['tdays'] != 7200 and ( int ) $_POST['tdays'] != 3600 * 6 and ( int ) $_POST['tdays'] != 3600 * 12 and ( int ) $_POST['tdays'] != 86400 and ( int ) $_POST['tdays'] != 86400 * 2 and ( int ) $_POST['tdays'] != 86400 * 3 and ( int ) $_POST['tdays'] != 86400 * 4 and ( int ) $_POST['tdays'] != 86400 * 5 and ( int ) $_POST['tdays'] != 86400 * 6 and ( int ) $_POST['tdays'] != 86400 * 7 and ( int ) $_POST['tdays'] != 86400 * 10 and ( int ) $_POST['tdays'] != 86400 * 15 and ( int ) $_POST['tdays'] != 86400 * 20 and ( int ) $_POST['tdays'] != 86400 * 30 ) {
        echo 'Неверно выбран максимальный срок выполнения!';
        exit();
    } else {
	
		if ( parse_url( $_POST['url'], PHP_URL_SCHEME ) == '' ) {
			$_POST['url'] = 'http://' . $_POST['url'];
		}
		
		switch ( $ShownKategories ) {
		  case 1:
			$KategoriesTitle = '(Только регистрация)';
			break;
		  case 2:
			$KategoriesTitle = '(Только клики)';
			break;
		  case 3:
			$KategoriesTitle = '(Регистрация с активностью)';
			break;
		  case 4:
			$KategoriesTitle = '(Приглашение в рефералы)';
			break;
		  case 5:
			$KategoriesTitle = '(Социальные сети)';
			break;
		  case 6:
			$KategoriesTitle = '(YouTube)';
			break;
		  case 7:
			$KategoriesTitle = '(Постинг в форумы и/или блоги)';
			break;
		  case 8:
			$KategoriesTitle = '(Написать статью или пресс-релиз)';
			break;
		  case 9:
			$KategoriesTitle = '(Отзыв/проголосовать)';
			break;
		  case 10:
			$KategoriesTitle = '(Forex)';
			break;
		  case 11:
			$KategoriesTitle = '(Bitcoin/Litecoin/Dogecoin)';
			break;
		  case 12:
			$KategoriesTitle = '(Играть в игры)';
			break;
		  case 13:
			$KategoriesTitle = '(Инвестировать)';
			break;
		  case 14:
			$KategoriesTitle = '(Мобильные приложения)';
			break;
		  case 15:
			$KategoriesTitle = '(Бонусы)';
			break;
		  case 16:
			$KategoriesTitle = '(Прочее)';
			break;
		  default:
			$KategoriesTitle = '()';
			break;
		}
		
		if(check_text( $_POST['tmode'] ) == '0'){
		  $re_execution = '0';
		  $_POST['pdays'] = '0';
		} 
		
		if (( int ) $_POST['ip'] == 1 OR ( int ) $_POST['ip'] == 2 ) {
		  $iptimefilter = (( int ) $_POST['ipfilter'] * 3600);
		} else {
		  $iptimefilter = 0;
		}
    
		mysql_query( "UPDATE tasks SET 
		  clearcookie = '" . $clearcookie . "',
		  openWmid = '" . $openWmid . "', 
		  TimeoutInExecution = '" . $TimeoutInExecution . "', 
		  openReyting = '" . $openReyting . "', 
		  balance = '" . floatval( $_POST['balance'] ) . "', 
		  price = '" . moneyraund( floatval( $_POST['price'] ), 2 ) . "', 
		  title = '" . substr( $_POST['title'], 0, 55 ) . "', 
		  text = '" . parce_bb_code ( substr( $_POST['text'], 0, 3000 ), 'forum' ) . "', 
		  description = '" . parce_bb_code( substr( $_POST['description'], 0, 3000 ), 'forum' ) . "', 
		  url = '" . substr( $_POST['url'], 0, 255 ) . "', 
		  KategoriesTitle = '" . $KategoriesTitle . "', 
		  ShownKategories = '" . $ShownKategories . "', 
		  many = '" . ( int ) $_POST['tmode'] . "', 
		  maxtime = '" . ( int ) $_POST['tdays'] . "',
		  iduser = '" . ( int ) $_POST['iduser'] . "', 
		  geo_ru = '" . $geo_ru . "', 
		  geo_ua = '" . $geo_ua . "', 
		  geo_by = '" . $geo_by . "', 
		  geo_kz = '" . $geo_kz . "', 
		  geo_ge = '" . $geo_ge . "', 
		  geo_md = '" . $geo_md . "', 
		  geo_am = '" . $geo_am . "', 
		  geo_tj = '" . $geo_tj . "',
		  geo_az = '" . $geo_az . "', 
		  geo_uz = '" . $geo_uz . "', 
		  geo_pt = '" . $geo_pt . "', 
		  geo_es = '" . $geo_es . "', 
		  geo_ee = '" . $geo_ee . "', 
		  geo_lv = '" . $geo_lv . "', 
		  geo_lt = '" . $geo_lt . "', 
		  geo_us = '" . $geo_us . "', 
		  geo_gb = '" . $geo_gb . "', 
		  geo_fr = '" . $geo_fr . "', 
		  geo_de = '" . $geo_de . "', 
		  geo_cn = '" . $geo_cn . "', 
		  geo_it = '" . $geo_it . "', 
		  geo_all = '" . $geo_all . "', 
		  re_execution = '" . $re_execution . "', 
		  executionTime = '" . ( int ) $_POST['pdays'] . "', 
		  nextExecutionOn = '" . ( int ) $_POST['fdays'] . "',
		  ipFilter = '" . ( int ) $_POST['ip'] . "', 
		  timeIpFilter = '" . $iptimefilter . "'
		WHERE id = '" . ( int ) $_POST['idtask'] . "'" );
		echo 1;
		exit();
	} 
}

### Остановление рекламной площадки (банеры 200х300)
if ( $_GET['func'] == 'admbanner200x300stop' ) {
    mysql_query( "UPDATE banners SET paused = 0 WHERE id = '" . ( int ) $_POST['id'] . "' AND type = 0 " );
    echo 1;
    exit();
}

### Запуск рекламной площадки (банеры 200х300)
if ( $_GET['func'] == 'admbanner200x300start' ) {
    mysql_query( "UPDATE banners SET paused = 1 WHERE id = '" . ( int ) $_POST['id'] . "' AND type = 0 " );
    echo 1;
    exit();
}

### Удаление рекламной площадки (банеры 200х300)
if ( $_GET['func'] == 'admbanner200x300del' ) {
    mysql_query( "DELETE FROM banners WHERE id = '" . ( int ) $_POST['id'] . "' AND type = 0 " );
    mysql_query( "DELETE FROM basket WHERE ident = '" . ( int ) $_POST['id'] . "' and type = 3" );
    echo 1;
    exit();
}

### Редактирование площадки (банеры 200х300)
if ( $_GET['func'] == 'editadmbanner200x300' ) {
    
	$_POST['title'] = trim( $_POST['title'] );
    $_POST['img'] = trim( $_POST['img'] );
    $_POST['url'] = trim( $_POST['url'] );	
	
	$_POST['title'] = check_text( $_POST['title'] );
    $_POST['img'] = check_text( $_POST['img'] );
    $_POST['url'] = check_text( $_POST['url'] );
    
	$proverka = mysql_num_rows(mysql_query( "SELECT id FROM banners WHERE id = '" . ( int ) $_POST['idadmbanner200x300'] . "' LIMIT 1" ) );
	$nouser = mysql_fetch_array( mysql_query( "SELECT nouser FROM banners WHERE id = '" . ( int ) $_POST['idadmbanner200x300'] . "' LIMIT 1" ) );
	
	if ( $proverka == 0 ) {
        echo 'Рекламная площадка не существует или не принадлежит Вам!';
        exit();
    } else
	if ( empty( $_POST['url'] ) ) {
        echo 'Вы не указали url ссылки!';
        exit();
    } else
	if ( empty( $_POST['title'] ) ) {
        echo 'Вы не указали заголовок ссылки!';
        exit();
    } else
    if ( empty( $_POST['img'] ) ) {
        echo 'Вы не указали название картинки!';
        exit();
    } else    
	if ( ( empty( $_POST['iduser'] ) OR $_POST['iduser'] == 0 ) AND $nouser['nouser'] == 0 ) {
      echo 'Вы указали не коректный id рекламодателя!';
      exit();
    } else     
	if ( floatval( $_POST['balance'] ) < 0 ) {
        echo 'Баланс площадки не может быть меньше нуля!';
        exit();
    } else {
	
		if ( parse_url( $_POST['url'], PHP_URL_SCHEME ) == '' ) {
			$_POST['url'] = 'http://' . $_POST['url'];
		}
    
		mysql_query( "UPDATE banners SET title = '" . substr( $_POST['title'], 0, 55 ) . "', img = '" . substr( $_POST['img'], 0, 55 ) . "', url = '" . substr( $_POST['url'], 0, 255 ) . "', balance = '" . floatval( $_POST['balance'] ) . "', iduser = '" . ( int ) $_POST['iduser'] . "' WHERE id = '" . ( int ) $_POST['idadmbanner200x300'] . "' AND type = 0" );
		echo 1;
		exit();
	} 
}

### Остановление рекламной площадки (банеры 468x60)
if ( $_GET['func'] == 'admbanner468x60stop' ) {
    mysql_query( "UPDATE banners SET paused = 0 WHERE id = '" . ( int ) $_POST['id'] . "' AND type = 1 " );
    echo 1;
    exit();
}

### Запуск рекламной площадки (банеры 468x60)
if ( $_GET['func'] == 'admbanner468x60start' ) {
    mysql_query( "UPDATE banners SET paused = 1 WHERE id = '" . ( int ) $_POST['id'] . "' AND type = 1 " );
    echo 1;
    exit();
}

### Удаление рекламной площадки (банеры 468x60)
if ( $_GET['func'] == 'admbanner468x60del' ) {
    mysql_query( "DELETE FROM banners WHERE id = '" . ( int ) $_POST['id'] . "' AND type = 1 " );
    mysql_query( "DELETE FROM basket WHERE ident = '" . ( int ) $_POST['id'] . "' and type = 3" );
    echo 1;
    exit();
}

### Редактирование площадки (банеры 468x60)
if ( $_GET['func'] == 'editadmbanner468x60' ) {
    
	$_POST['title'] = trim( $_POST['title'] );
    $_POST['img'] = trim( $_POST['img'] );
    $_POST['url'] = trim( $_POST['url'] );	
	
	$_POST['title'] = check_text( $_POST['title'] );
    $_POST['img'] = check_text( $_POST['img'] );
    $_POST['url'] = check_text( $_POST['url'] );
    
	$proverka = mysql_num_rows(mysql_query( "SELECT id FROM banners WHERE id = '" . ( int ) $_POST['idadmbanner468x60'] . "' LIMIT 1" ) );
	$nouser = mysql_fetch_array( mysql_query( "SELECT nouser FROM banners WHERE id = '" . ( int ) $_POST['idadmbanner468x60'] . "' LIMIT 1" ) );
	
	if ( $proverka == 0 ) {
        echo 'Рекламная площадка не существует или не принадлежит Вам!';
        exit();
    } else
	if ( empty( $_POST['url'] ) ) {
        echo 'Вы не указали url ссылки!';
        exit();
    } else
	if ( empty( $_POST['title'] ) ) {
        echo 'Вы не указали заголовок ссылки!';
        exit();
    } else
    if ( empty( $_POST['img'] ) ) {
        echo 'Вы не указали название картинки!';
        exit();
    } else    
	if ( ( empty( $_POST['iduser'] ) OR $_POST['iduser'] == 0 ) AND $nouser['nouser'] == 0 ) {
      echo 'Вы указали не коректный id рекламодателя!';
      exit();
    } else   
	if ( floatval( $_POST['balance'] ) < 0 ) {
        echo 'Баланс площадки не может быть меньше нуля!';
        exit();
    } else {
	
		if ( parse_url( $_POST['url'], PHP_URL_SCHEME ) == '' ) {
			$_POST['url'] = 'http://' . $_POST['url'];
		}
    
		mysql_query( "UPDATE banners SET title = '" . substr( $_POST['title'], 0, 55 ) . "', img = '" . substr( $_POST['img'], 0, 55 ) . "', url = '" . substr( $_POST['url'], 0, 255 ) . "', balance = '" . floatval( $_POST['balance'] ) . "', iduser = '" . ( int ) $_POST['iduser'] . "' WHERE id = '" . ( int ) $_POST['idadmbanner468x60'] . "' AND type = 1" );
		echo 1;
		exit();
	} 
}

### Удаление рекламной площадки (каталог)
if ( $_GET['func'] == 'admcatalogdel' ) {
    mysql_query( "DELETE FROM catalog_mes WHERE id = '" . ( int ) $_POST['id'] . "' " );
    echo 1;
    exit();
}

### Редактирование площадки (каталог)
if ( $_GET['func'] == 'editadmcatalog' ) {
    
	$_POST['title'] = trim( $_POST['title'] );
    $_POST['c_text'] = trim( $_POST['c_text'] );
    $_POST['url'] = trim( $_POST['url'] );	
	
	$_POST['title'] = check_text( $_POST['title'] );
    $_POST['c_text'] = check_text( $_POST['c_text'] );
    $_POST['url'] = check_text( $_POST['url'] );
    
	$proverka = mysql_num_rows(mysql_query( "SELECT id FROM catalog_mes WHERE id = '" . ( int ) $_POST['idadmcatalog'] . "' LIMIT 1" ) );
	
	if ( $proverka == 0 ) {
        echo 'Рекламная площадка не существует или не принадлежит Вам!';
        exit();
    } else
	if ( empty( $_POST['url'] ) ) {
        echo 'Вы не указали url ссылки!';
        exit();
    } else
	if ( empty( $_POST['title'] ) ) {
        echo 'Вы не указали заголовок ссылки!';
        exit();
    } else
    if ( empty( $_POST['c_text'] ) ) {
        echo 'Вы не указали описание ссылки!';
        exit();
    } else
	
	if ( empty( $_POST['iduser'] ) OR $_POST['iduser'] == 0 ) {
        echo 'Вы указали не коректный id рекламодателя!';
        exit();
    } else   
	if ( ( int ) $_POST['cat_id'] < 1 OR ( int ) $_POST['cat_id'] > 53 ) {
        echo 'Категория не выбрана!';
        exit();
    } else {
	
		if ( parse_url( $_POST['url'], PHP_URL_SCHEME ) == '' ) {
			$_POST['url'] = 'http://' . $_POST['url'];
		}
    
		mysql_query( "UPDATE catalog_mes SET cat_id = '" . ( int ) $_POST['cat_id'] . "', title = '" . substr( $_POST['title'], 0, 55 ) . "', c_text = '" . parce_bb_code( substr( $_POST['c_text'], 0, 5000 ), 'forum' ) . "', url = '" . substr( $_POST['url'], 0, 255 ) . "', iduser = '" . ( int ) $_POST['iduser'] . "' WHERE id = '" . ( int ) $_POST['idadmcatalog'] . "'" );
		echo 1;
		exit();
	} 
}

### Остановление рекламной площадки (Рекламная цепочка)
if ( $_GET['func'] == 'chainstop' ) {
    mysql_query( "UPDATE chain SET paused = 0 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Запуск рекламной площадки (Рекламная цепочка)
if ( $_GET['func'] == 'chainstart' ) {
    mysql_query( "UPDATE chain SET paused = 1 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Удаление рекламной площадки (Рекламная цепочка)
if ( $_GET['func'] == 'chaindel' ) {
    mysql_query( "DELETE FROM chain WHERE id = '" . ( int ) $_POST['id'] . "' " );
    mysql_query( "DELETE FROM basket WHERE ident = '" . ( int ) $_POST['id'] . "' and type = 1" );
    echo 1;
    exit();
}

### Редактирование площадки (Рекламная цепочка)
if ( $_GET['func'] == 'editchain' ) {
    
	$_POST['title'] = trim( $_POST['title'] );
    $_POST['url'] = trim( $_POST['url'] );	
	
	$_POST['title'] = check_text( $_POST['title'] );
    $_POST['url'] = check_text( $_POST['url'] );
    
	$proverka = mysql_num_rows(mysql_query( "SELECT id FROM chain WHERE id = '" . ( int ) $_POST['idchain'] . "' LIMIT 1" ) );
	$nouser = mysql_fetch_array( mysql_query( "SELECT nouser FROM chain WHERE id = '" . ( int ) $_POST['idchain'] . "' LIMIT 1" ) );
	
	if ( $proverka == 0 ) {
        echo 'Рекламная площадка не существует или не принадлежит Вам!';
        exit();
    } else
	if ( empty( $_POST['url'] ) ) {
        echo 'Вы не указали url ссылки!';
        exit();
    } else
	if ( empty( $_POST['title'] ) ) {
        echo 'Вы не указали описание ссылки!';
        exit();
    } else  
	if ( ( empty( $_POST['iduser'] ) OR $_POST['iduser'] == 0 ) AND $nouser['nouser'] == 0 ) {
      echo 'Вы указали не коректный id рекламодателя!';
      exit();
    } else   
	if ( ( int ) $_POST['chainColor'] != 0 and ( int ) $_POST['chainColor'] != 1 ) {
		echo 'Вы не выбрали параметр цвета!';
		exit();
	}		
	if ( floatval( $_POST['balance'] ) < 0 ) {
        echo 'Баланс площадки не может быть меньше нуля!';
        exit();
    } else {
	
		if ( parse_url( $_POST['url'], PHP_URL_SCHEME ) == '' ) {
			$_POST['url'] = 'http://' . $_POST['url'];
		}
    
		mysql_query( "UPDATE chain SET title = '" . $_POST['title'] . "', url = '" . substr( $_POST['url'], 0, 255 ) . "', balance = '" . floatval( $_POST['balance'] ) . "', iduser = '" . ( int ) $_POST['iduser'] . "', color = '".( int ) $_POST['chainColor']."' WHERE id = '" . ( int ) $_POST['idchain'] . "'" );
		echo 1;
		exit();
	} 
}

### Остановление рекламной площадки (Статическая реклама)
if ( $_GET['func'] == 'statlinkstop' ) {
    mysql_query( "UPDATE statlink SET paused = 0 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Запуск рекламной площадки (Статическая реклама)
if ( $_GET['func'] == 'statlinkstart' ) {
    mysql_query( "UPDATE statlink SET paused = 1 WHERE id = '" . ( int ) $_POST['id'] . "'" );
    echo 1;
    exit();
}

### Удаление рекламной площадки (Статическая реклама)
if ( $_GET['func'] == 'statlinkdel' ) {
    mysql_query( "DELETE FROM statlink WHERE id = '" . ( int ) $_POST['id'] . "' " );
    mysql_query( "DELETE FROM basket WHERE ident = '" . ( int ) $_POST['id'] . "' and type = 20" );
    echo 1;
    exit();
}

### Редактирование площадки (Статическая реклама)
if ( $_GET['func'] == 'editstatlink' ) {
    
	$_POST['title'] = trim( $_POST['title'] );
    $_POST['url'] = trim( $_POST['url'] );	
	
	$_POST['title'] = check_text( $_POST['title'] );
    $_POST['url'] = check_text( $_POST['url'] );
    
	$proverka = mysql_num_rows(mysql_query( "SELECT id FROM statlink WHERE id = '" . ( int ) $_POST['idstatlink'] . "' LIMIT 1" ) );
	$nouser = mysql_fetch_array( mysql_query( "SELECT nouser FROM statlink WHERE id = '" . ( int ) $_POST['idstatlink'] . "' LIMIT 1" ) );
	
	if ( $proverka == 0 ) {
        echo 'Рекламная площадка не существует или не принадлежит Вам!';
        exit();
    } else
	if ( empty( $_POST['url'] ) ) {
        echo 'Вы не указали url ссылки!';
        exit();
    } else
	if ( empty( $_POST['title'] ) ) {
        echo 'Вы не указали описание ссылки!';
        exit();
    } else  
	if ( ( empty( $_POST['iduser'] ) OR $_POST['iduser'] == 0 ) AND $nouser['nouser'] == 0 ) {
      echo 'Вы указали не коректный id рекламодателя!';
      exit();
    } else    
	if ( ( int ) $_POST['statlinkColor'] != 0 and ( int ) $_POST['statlinkColor'] != 1 ) {
		echo 'Вы не выбрали параметр цвета!';
		exit();
	}		
	if ( floatval( $_POST['balance'] ) < 0 ) {
        echo 'Баланс площадки не может быть меньше нуля!';
        exit();
    } else {
	
		if ( parse_url( $_POST['url'], PHP_URL_SCHEME ) == '' ) {
			$_POST['url'] = 'http://' . $_POST['url'];
		}
    
		mysql_query( "UPDATE statlink SET title = '" . $_POST['title'] . "', url = '" . substr( $_POST['url'], 0, 255 ) . "', balance = '" . floatval( $_POST['balance'] ) . "', iduser = '" . ( int ) $_POST['iduser'] . "', color = '".( int ) $_POST['statlinkColor']."' WHERE id = '" . ( int ) $_POST['idstatlink'] . "'" );
		echo 1;
		exit();
	} 
}

?>